#!/usr/bin/env bash
#
useradd -m -g20666 -u20669 -n hwsbuild
# NOTE: CentOS needs this password to be stronger than our typical system default
echo "PASSWORD" | passwd --stdin hwsbuild

# For various EC build tasks, i.e., installing test packages, the build user 
# needs sudo access without a password.
echo "hwsbuild        ALL=(ALL)       NOPASSWD: ALL" >> /etc/sudoers.d/hwsbuild

echo "export PATH=\$PATH:/opt/lude/bin" >> /home/hwsbuild/.bash_profile
echo "export P4USER=ecagent" >> /home/hwsbuild/.bash_profile

sudo -u ecagent cp /ecloud/workspaces/misc/master_tickets/p4tickets /tmp
cp /tmp/p4tickets /home/hwsbuild/.p4tickets
chown hwsbuild:commander /home/hwsbuild/.p4tickets
rm -f /tmp/p4tickets

echo "hwsbuild user created (and given sudo access)"
